XP SP3 drivers okay?

Discussion in 'Windows, Linux & Others on the Mac' started by Archandy, Dec 15, 2008.

  1. Archandy macrumors newbie

    Joined:
    Sep 13, 2007
    #1
    I'm just about to buy an OEM license online.

    I have just bought Leopard so I can use bootcamp.

    Was wondering if XP SP3 is the package I should go with? Do the drivers work?

    I basically want to run games like C0D5, Farcry 2 and software packages like 3ds max & Microstation V8.

    Cheers

    MBP 2.4Ghz Core 2 Duo 4BG RAM
     
  2. SnowLeopard2008 macrumors 604

    SnowLeopard2008

    Joined:
    Jul 4, 2008
    Location:
    Silicon Valley
    #2
    I would go with Vista, since it is newer and the optional 64-bit allows for better processing. Now to mention DirectX - the latest version -.
     
  3. Ollie N macrumors regular

    Ollie N

    Joined:
    Jan 4, 2009
    #3
    it should

    Apple says you can use windows xp sp2 or later so i don't see why it wouldn't work when i went to to apple store they said yes it would work.
     
  4. Stridder44 macrumors 68040

    Stridder44

    Joined:
    Mar 24, 2003
    Location:
    California
    #4
    x2. Your machine is MORE than capable of handling Vista64.
     

Share This Page